Subject: Re: bug#25997: mirror: Add sourceforge variant with 'projects'.
From: ng0 <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Sun, 12 Mar 2017 16:24:01 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès transcribed 1.7K bytes:
> ng0 <[email-masked]> skribis:
> 
> > Ludovic Courtès transcribed 0.3K bytes:
> >> Hi,
> >> 
> >> ng0 <[email-masked]> skribis:
> >> 
> >> > This adds a variant of sourceforge mirrors to cover downloads where the path includes projects instead of project.
> >> 
> >> Does that really happen?  Do you have an example?
> >> 
> >> I thought that when they changed the URL scheme a few months ago they
> >> chose one and dismissed the other.
> >> 
> >> Thanks,
> >> Ludo’.
> >> 
> >> 
> >
> > No, I run into this regulary. One example we have in the tree: tintin++.
> 
> This particular case is fixed with this patch (that I’ll push soon):
> 

> diff --git a/gnu/packages/games.scm b/gnu/packages/games.scm
> index 550652eef..efa904f7d 100644
> --- a/gnu/packages/games.scm
> +++ b/gnu/packages/games.scm
> @@ -2880,8 +2880,8 @@ the GNU GPL.")
>      (version "2.01.2")
>      (source (origin
>                (method url-fetch)
> -              (uri (string-append "https://sourceforge.net/projects/tintin"
> -                                  "/files/TinTin++ Source Code/" version
> +              (uri (string-append "mirror://sourceforge/tintin"
> +                                  "/TinTin++ Source Code/" version
>                                    "/tintin" "-" version ".tar.gz"))
>                (sha256
>                 (base32

> 
> I suspect that if there are other such cases, they can be addressed
> similarly?
> 
> Thanks,
> Ludo’.

Maybe… It's been a while since I had to use sourceforge. It could be
that the change in url from projects -> project just took a while to be
applied to all projectS.

My patch is small enough that I'll close it now, problem seems to no
longer exist and if it still does, it's just a one line change which can
be added easy enough.

Thanks.